# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from asterisk.models import *
from jumbo.db import models as jumbo_models
from jumbo.db.models import StatusField

def _get_default_country():
    pass

class Migration:
    
    def forwards(self, orm):
        
        # Adding field 'AsteriskProfile.description'
        db.add_column('asterisk_asteriskprofile', 'description', orm['asterisk.asteriskprofile:description'])
        
        # Changing field 'Settings.description'
        # (to signature: django.db.models.fields.TextField(null=True, blank=True))
        db.alter_column('asterisk_settings', 'description', orm['asterisk.settings:description'])
        
        # Changing field 'Settings.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('asterisk_settings', 'creator_id', orm['asterisk.settings:creator'])
        
        # Changing field 'Settings.date_last_modify'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('asterisk_settings', 'date_last_modify', orm['asterisk.settings:date_last_modify'])
        
        # Changing field 'Settings.value'
        # (to signature: django.db.models.fields.CharField(max_length=500, null=True, blank=True))
        db.alter_column('asterisk_settings', 'value', orm['asterisk.settings:value'])
        
        # Changing field 'Settings.date_create'
        # (to signature: django.db.models.fields.DateTimeField())
        db.alter_column('asterisk_settings', 'date_create', orm['asterisk.settings:date_create'])
        
        # Changing field 'Settings.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True, null=True, blank=True))
        db.alter_column('asterisk_settings', 'last_modifier_id', orm['asterisk.settings:last_modifier'])
        
        # Changing field 'Settings.type'
        # (to signature: django.db.models.fields.CharField(max_length=20))
        db.alter_column('asterisk_settings', 'type', orm['asterisk.settings:type'])
        
        # Changing field 'Settings.name'
        # (to signature: django.db.models.fields.CharField(max_length=100))
        db.alter_column('asterisk_settings', 'name', orm['asterisk.settings:name'])
        
        # Changing field 'AsteriskAddressBook.phone_number'
        # (to signature: django.db.models.fields.CharField(max_length=10))
        db.alter_column('asterisk_asteriskaddressbook', 'phone_number', orm['asterisk.asteriskaddressbook:phone_number'])
        
        # Changing field 'AsteriskAddressBook.description'
        # (to signature: django.db.models.fields.CharField(max_length=15))
        db.alter_column('asterisk_asteriskaddressbook', 'description', orm['asterisk.asteriskaddressbook:description'])
        
        # Changing field 'AsteriskAddressBook.is_internal'
        # (to signature: django.db.models.fields.BooleanField(default=False, blank=True))
        db.alter_column('asterisk_asteriskaddressbook', 'is_internal', orm['asterisk.asteriskaddressbook:is_internal'])
        
        # Changing field 'AsteriskAddressBook.user'
        # (to signature: models.ForeignKey(orm['auth.User'], null=True, blank=True))
        db.alter_column('asterisk_asteriskaddressbook', 'user_id', orm['asterisk.asteriskaddressbook:user'])
        
        # Changing field 'AsteriskProfile.internal_number'
        # (to signature: django.db.models.fields.CharField(max_length=10))
        db.alter_column('asterisk_asteriskprofile', 'internal_number', orm['asterisk.asteriskprofile:internal_number'])
        
        # Changing field 'AsteriskProfile.user'
        # (to signature: models.ForeignKey(orm['auth.User'], null=True, blank=True, db_index=True))
        db.alter_column('asterisk_asteriskprofile', 'user_id', orm['asterisk.asteriskprofile:user'])
        
        # Changing field 'Record.recall'
        # (to signature: django.db.models.fields.CharField(max_length=200))
        db.alter_column('records', 'recall', orm['asterisk.record:recall'])
        
        # Changing field 'Record.caller'
        # (to signature: django.db.models.fields.CharField(max_length=80))
        db.alter_column('records', 'caller', orm['asterisk.record:caller'])
        
        # Changing field 'Record.recout'
        # (to signature: django.db.models.fields.CharField(max_length=200))
        db.alter_column('records', 'recout', orm['asterisk.record:recout'])
        
        # Changing field 'Record.callee'
        # (to signature: django.db.models.fields.CharField(max_length=80))
        db.alter_column('records', 'callee', orm['asterisk.record:callee'])
        
        # Changing field 'Record.recin'
        # (to signature: django.db.models.fields.CharField(max_length=200))
        db.alter_column('records', 'recin', orm['asterisk.record:recin'])
        
        # Changing field 'Cdr.accountcode'
        # (to signature: django.db.models.fields.CharField(max_length=20))
        db.alter_column('asterisk_cdr', 'accountcode', orm['asterisk.cdr:accountcode'])
        
        # Changing field 'Cdr.disposition'
        # (to signature: django.db.models.fields.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'disposition', orm['asterisk.cdr:disposition'])
        
        # Changing field 'Cdr.userfield'
        # (to signature: django.db.models.fields.CharField(max_length=255))
        db.alter_column('asterisk_cdr', 'userfield', orm['asterisk.cdr:userfield'])
        
        # Changing field 'Cdr.src'
        # (to signature: django.db.models.fields.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'src', orm['asterisk.cdr:src'])
        
        # Changing field 'Cdr.dst'
        # (to signature: django.db.models.fields.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'dst', orm['asterisk.cdr:dst'])
        
        # Changing field 'Cdr.amaflags'
        # (to signature: django.db.models.fields.IntegerField())
        db.alter_column('asterisk_cdr', 'amaflags', orm['asterisk.cdr:amaflags'])
        
        # Changing field 'Cdr.dcontext'
        # (to signature: django.db.models.fields.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'dcontext', orm['asterisk.cdr:dcontext'])
        
        # Changing field 'Cdr.lastapp'
        # (to signature: django.db.models.fields.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'lastapp', orm['asterisk.cdr:lastapp'])
        
        # Changing field 'Cdr.lastdata'
        # (to signature: django.db.models.fields.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'lastdata', orm['asterisk.cdr:lastdata'])
        
        # Changing field 'Cdr.clid'
        # (to signature: django.db.models.fields.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'clid', orm['asterisk.cdr:clid'])
        
        # Changing field 'Cdr.uniqueid'
        # (to signature: django.db.models.fields.CharField(max_length=40))
        db.alter_column('asterisk_cdr', 'uniqueid', orm['asterisk.cdr:uniqueid'])
        
        # Changing field 'Cdr.duration'
        # (to signature: django.db.models.fields.IntegerField())
        db.alter_column('asterisk_cdr', 'duration', orm['asterisk.cdr:duration'])
        
        # Changing field 'Cdr.billsec'
        # (to signature: django.db.models.fields.IntegerField())
        db.alter_column('asterisk_cdr', 'billsec', orm['asterisk.cdr:billsec'])
        
        # Changing field 'Cdr.dstchannel'
        # (to signature: django.db.models.fields.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'dstchannel', orm['asterisk.cdr:dstchannel'])
        
        # Changing field 'Cdr.channel'
        # (to signature: django.db.models.fields.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'channel', orm['asterisk.cdr:channel'])
        
    
    
    def backwards(self, orm):
        
        # Deleting field 'AsteriskProfile.description'
        db.delete_column('asterisk_asteriskprofile', 'description')
        
        # Changing field 'Settings.description'
        # (to signature: models.TextField(null=True, blank=True))
        db.alter_column('asterisk_settings', 'description', orm['asterisk.settings:description'])
        
        # Changing field 'Settings.creator'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('asterisk_settings', 'creator_id', orm['asterisk.settings:creator'])
        
        # Changing field 'Settings.date_last_modify'
        # (to signature: models.DateTimeField())
        db.alter_column('asterisk_settings', 'date_last_modify', orm['asterisk.settings:date_last_modify'])
        
        # Changing field 'Settings.value'
        # (to signature: models.CharField(max_length=500, null=True, blank=True))
        db.alter_column('asterisk_settings', 'value', orm['asterisk.settings:value'])
        
        # Changing field 'Settings.date_create'
        # (to signature: models.DateTimeField())
        db.alter_column('asterisk_settings', 'date_create', orm['asterisk.settings:date_create'])
        
        # Changing field 'Settings.last_modifier'
        # (to signature: models.ForeignKey(orm['auth.User'], blank=True, null=True, db_index=True))
        db.alter_column('asterisk_settings', 'last_modifier_id', orm['asterisk.settings:last_modifier'])
        
        # Changing field 'Settings.type'
        # (to signature: models.CharField(max_length=20))
        db.alter_column('asterisk_settings', 'type', orm['asterisk.settings:type'])
        
        # Changing field 'Settings.name'
        # (to signature: models.CharField(max_length=100))
        db.alter_column('asterisk_settings', 'name', orm['asterisk.settings:name'])
        
        # Changing field 'AsteriskAddressBook.phone_number'
        # (to signature: models.CharField(max_length=10))
        db.alter_column('asterisk_asteriskaddressbook', 'phone_number', orm['asterisk.asteriskaddressbook:phone_number'])
        
        # Changing field 'AsteriskAddressBook.description'
        # (to signature: models.CharField(max_length=15))
        db.alter_column('asterisk_asteriskaddressbook', 'description', orm['asterisk.asteriskaddressbook:description'])
        
        # Changing field 'AsteriskAddressBook.is_internal'
        # (to signature: models.BooleanField())
        db.alter_column('asterisk_asteriskaddressbook', 'is_internal', orm['asterisk.asteriskaddressbook:is_internal'])
        
        # Changing field 'AsteriskAddressBook.user'
        # (to signature: models.ForeignKey(orm['auth.User'], null=True, blank=True))
        db.alter_column('asterisk_asteriskaddressbook', 'user_id', orm['asterisk.asteriskaddressbook:user'])
        
        # Changing field 'AsteriskProfile.internal_number'
        # (to signature: models.CharField(max_length=10))
        db.alter_column('asterisk_asteriskprofile', 'internal_number', orm['asterisk.asteriskprofile:internal_number'])
        
        # Changing field 'AsteriskProfile.user'
        # (to signature: models.ForeignKey(orm['auth.User'], db_index=True))
        db.alter_column('asterisk_asteriskprofile', 'user_id', orm['asterisk.asteriskprofile:user'])
        
        # Changing field 'Record.recall'
        # (to signature: models.CharField(max_length=200))
        db.alter_column('records', 'recall', orm['asterisk.record:recall'])
        
        # Changing field 'Record.caller'
        # (to signature: models.CharField(max_length=80))
        db.alter_column('records', 'caller', orm['asterisk.record:caller'])
        
        # Changing field 'Record.recout'
        # (to signature: models.CharField(max_length=200))
        db.alter_column('records', 'recout', orm['asterisk.record:recout'])
        
        # Changing field 'Record.callee'
        # (to signature: models.CharField(max_length=80))
        db.alter_column('records', 'callee', orm['asterisk.record:callee'])
        
        # Changing field 'Record.recin'
        # (to signature: models.CharField(max_length=200))
        db.alter_column('records', 'recin', orm['asterisk.record:recin'])
        
        # Changing field 'Cdr.accountcode'
        # (to signature: models.CharField(max_length=20))
        db.alter_column('asterisk_cdr', 'accountcode', orm['asterisk.cdr:accountcode'])
        
        # Changing field 'Cdr.disposition'
        # (to signature: models.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'disposition', orm['asterisk.cdr:disposition'])
        
        # Changing field 'Cdr.userfield'
        # (to signature: models.CharField(max_length=255))
        db.alter_column('asterisk_cdr', 'userfield', orm['asterisk.cdr:userfield'])
        
        # Changing field 'Cdr.src'
        # (to signature: models.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'src', orm['asterisk.cdr:src'])
        
        # Changing field 'Cdr.dst'
        # (to signature: models.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'dst', orm['asterisk.cdr:dst'])
        
        # Changing field 'Cdr.amaflags'
        # (to signature: models.IntegerField())
        db.alter_column('asterisk_cdr', 'amaflags', orm['asterisk.cdr:amaflags'])
        
        # Changing field 'Cdr.dcontext'
        # (to signature: models.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'dcontext', orm['asterisk.cdr:dcontext'])
        
        # Changing field 'Cdr.lastapp'
        # (to signature: models.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'lastapp', orm['asterisk.cdr:lastapp'])
        
        # Changing field 'Cdr.lastdata'
        # (to signature: models.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'lastdata', orm['asterisk.cdr:lastdata'])
        
        # Changing field 'Cdr.clid'
        # (to signature: models.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'clid', orm['asterisk.cdr:clid'])
        
        # Changing field 'Cdr.uniqueid'
        # (to signature: models.CharField(max_length=40))
        db.alter_column('asterisk_cdr', 'uniqueid', orm['asterisk.cdr:uniqueid'])
        
        # Changing field 'Cdr.duration'
        # (to signature: models.IntegerField())
        db.alter_column('asterisk_cdr', 'duration', orm['asterisk.cdr:duration'])
        
        # Changing field 'Cdr.billsec'
        # (to signature: models.IntegerField())
        db.alter_column('asterisk_cdr', 'billsec', orm['asterisk.cdr:billsec'])
        
        # Changing field 'Cdr.dstchannel'
        # (to signature: models.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'dstchannel', orm['asterisk.cdr:dstchannel'])
        
        # Changing field 'Cdr.channel'
        # (to signature: models.CharField(max_length=80))
        db.alter_column('asterisk_cdr', 'channel', orm['asterisk.cdr:channel'])
        
    
    
    models = {
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)"},
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
        },
        'asterisk.settings': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '500', 'null': 'True', 'blank': 'True'})
        },
        'asterisk.asteriskaddressbook': {
            'description': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_internal': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'phone_number': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'user': ('models.ForeignKey', ["orm['auth.User']"], {'null': 'True', 'blank': 'True'})
        },
        'asterisk.asteriskprofile': {
            'description': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal_number': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'user': ('models.ForeignKey', ["orm['auth.User']"], {'null': 'True', 'blank': 'True', 'db_index': 'True'})
        },
        'auth.user': {
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2009, 7, 16, 12, 42, 22, 38338)'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2009, 7, 16, 12, 42, 22, 38179)'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'asterisk.record': {
            'Meta': {'db_table': "'records'"},
            'callee': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'caller': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'recall': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'recin': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'record': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'recout': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'ts': ('django.db.models.fields.DateTimeField', [], {})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.group': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'})
        },
        'asterisk.cdr': {
            'accountcode': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'amaflags': ('django.db.models.fields.IntegerField', [], {}),
            'billsec': ('django.db.models.fields.IntegerField', [], {}),
            'calldate': ('django.db.models.fields.DateTimeField', [], {}),
            'channel': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'clid': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dcontext': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'disposition': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dst': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dstchannel': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lastapp': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'lastdata': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'src': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'uniqueid': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            'userfield': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }
    
    complete_apps = ['asterisk']
